Bug 1144466 - Review Request: rubygem-apipie-bindings - The Ruby bindings for Apipie documented APIs
Summary: Review Request: rubygem-apipie-bindings - The Ruby bindings for Apipie docume...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-19 13:03 UTC by Steve Traylen
Modified: 2014-11-05 03:58 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-10 16:00:53 UTC
dcleal: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2014-09-19 13:03:07 UTC
Spec URL: http://cern.ch/straylen/rpms/rubygem-apipie-bindings/rubygem-apipie-bindings.spec
SRPM URL:  http://cern.ch/straylen/rpms/rubygem-apipie-bindings/rubygem-apipie-bindings-0.0.10-1.fc20.src.rpm
Description:
Bindings for API calls that are documented with Apipie. Bindings are generated
on the fly.
Fedora Account System Username: stevetraylen

Comment 1 Dominic Cleal 2014-09-22 08:10:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- %changelog doesn't contain a correct real name (Fedora cloud user)
- require lines have many trailing spaces (:set list)
- el7/f20 requires should have version specifications to match gem

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 24 files have unknown license. Detailed output of
     licensecheck in /home/dcleal/tmp/1144466/1144466-rubygem-apipie-
     bindings/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gems/gems/apipie-bindings-0.0.10/doc
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc, /usr/share/gems/gems/apipie-bindings-0.0.10/doc
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     apipie-bindings-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[-]: Test suite of the library should be run.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude
     /usr/share/gems/cache/apipie-bindings-0.0.10.gem,
     /usr/share/gems/specifications/apipie-bindings-0.0.10.gemspec
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-apipie-bindings-0.0.10-1.fc22.noarch.rpm
          rubygem-apipie-bindings-doc-0.0.10-1.fc22.noarch.rpm
          rubygem-apipie-bindings-0.0.10-1.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-apipie-bindings rubygem-apipie-bindings-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-apipie-bindings (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(awesome_print)
    rubygem(json)
    rubygem(mime-types)
    rubygem(oauth)
    rubygem(rest-client)

rubygem-apipie-bindings-doc (rpmlib, GLIBC filtered):
    rubygem-apipie-bindings



Provides
--------
rubygem-apipie-bindings:
    rubygem(apipie-bindings)
    rubygem-apipie-bindings

rubygem-apipie-bindings-doc:
    rubygem-apipie-bindings-doc



Source checksums
----------------
https://rubygems.org/gems/apipie-bindings-0.0.10.gem :
  CHECKSUM(SHA256) this package     : 2403c21229fe84bbceb198a6febca2d0193c4becfe2dceb55a6de96dd1860678
  CHECKSUM(SHA256) upstream package : 2403c21229fe84bbceb198a6febca2d0193c4becfe2dceb55a6de96dd1860678


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1144466 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Steve Traylen 2014-09-26 08:15:31 UTC
>Issues:
>=======
>- %changelog doesn't contain a correct real name (Fedora cloud user)
>- require lines have many trailing spaces (:set list)

No problem will fix above of course.

> - el7/f20 requires should have version specifications to match gem

I normally leave these out on purpose, but I guess now the requires
are automatic the choice goes away.

Comment 3 Dominic Cleal 2014-09-26 08:20:42 UTC
(In reply to Steve Traylen from comment #2)
> > - el7/f20 requires should have version specifications to match gem
> 
> I normally leave these out on purpose, but I guess now the requires
> are automatic the choice goes away.

I can understand as it's fiddly to maintain, though I find that rubygems still validates the gemspec against the gems it finds when loading the library, so it can lead to runtime errors.  Adding versions to the RPM deps too means we can catch it when packages are built or pushed to the distribution.

Comment 5 Dominic Cleal 2014-09-26 09:12:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- none

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 24 files have unknown license. Detailed output of
     licensecheck in /home/dcleal/tmp/1144466/1144466-rubygem-apipie-
     bindings/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gems/gems/apipie-bindings-0.0.10/doc
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc, /usr/share/gems/gems/apipie-bindings-0.0.10/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     apipie-bindings-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[-]: Test suite of the library should be run.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude
     /usr/share/gems/cache/apipie-bindings-0.0.10.gem,
     /usr/share/gems/specifications/apipie-bindings-0.0.10.gemspec
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-apipie-bindings-0.0.10-2.fc22.noarch.rpm
          rubygem-apipie-bindings-doc-0.0.10-2.fc22.noarch.rpm
          rubygem-apipie-bindings-0.0.10-2.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-apipie-bindings rubygem-apipie-bindings-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-apipie-bindings (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(awesome_print)
    rubygem(json)
    rubygem(mime-types)
    rubygem(oauth)
    rubygem(rest-client)

rubygem-apipie-bindings-doc (rpmlib, GLIBC filtered):
    rubygem-apipie-bindings



Provides
--------
rubygem-apipie-bindings:
    rubygem(apipie-bindings)
    rubygem-apipie-bindings

rubygem-apipie-bindings-doc:
    rubygem-apipie-bindings-doc



Source checksums
----------------
https://rubygems.org/gems/apipie-bindings-0.0.10.gem :
  CHECKSUM(SHA256) this package     : 2403c21229fe84bbceb198a6febca2d0193c4becfe2dceb55a6de96dd1860678
  CHECKSUM(SHA256) upstream package : 2403c21229fe84bbceb198a6febca2d0193c4becfe2dceb55a6de96dd1860678


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1144466 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Steve Traylen 2014-09-26 09:33:39 UTC
New Package SCM Request
=======================
Package Name: rubygem-apipie-bindings
Short Description: The Ruby bindings for Apipie documented APIs
Upstream URL: http://github.com/Apipie/apipie-bindings
Owners: stevetraylen
Branches: f20 f21 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-09-26 12:11:54 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-09-30 07:13:12 UTC
rubygem-apipie-bindings-0.0.10-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-apipie-bindings-0.0.10-2.fc21

Comment 9 Fedora Update System 2014-09-30 07:13:19 UTC
rubygem-apipie-bindings-0.0.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-apipie-bindings-0.0.10-2.fc20

Comment 10 Fedora Update System 2014-09-30 07:13:25 UTC
rubygem-apipie-bindings-0.0.10-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rubygem-apipie-bindings-0.0.10-2.el7

Comment 11 Fedora Update System 2014-09-30 17:39:41 UTC
rubygem-apipie-bindings-0.0.10-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Fedora Update System 2014-10-10 16:00:53 UTC
rubygem-apipie-bindings-0.0.10-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-11-05 00:21:26 UTC
rubygem-apipie-bindings-0.0.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 14 Fedora Update System 2014-11-05 03:58:26 UTC
rubygem-apipie-bindings-0.0.10-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.